<!doctype html>
<html lang="ja">

  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, minimal-ui" />
    <meta charset="utf-8">
    <title>Sample web application</title>

    <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/@mdi/font@3.x/css/materialdesignicons.min.css" rel="stylesheet" />
    <link href="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.min.css" rel="stylesheet" />
  </head>

  <body>
    <div id="app">
      <v-app>
        <v-content>
          <v-container fluid>
            <v-layout column>
              <v-layout row wrap class="justify-center">
                <p class="text-justify display-2">
                  {{message}}
                </p>
              </v-layout>

              <v-layout row wrap class="pa-2">
                <v-card class="mx-auto" max-width="600">
                  <v-img class="white--text" height="200px" :src="image">
                    <v-card-title class="align-end fill-height">{{env}}</v-card-title>
                  </v-img>
                  <v-card-text>
                    version is <span class="teal--text darken-1"> {{version}} </span>.<br />
                    pod is <span class="indigo--text darken-1">{{podName}} </span>.<br>
                  </v-card-text>
                </v-card>
              </v-layout>

              <v-layout row wrap class="pa-2 justify-center">
                <v-btn class="ma-2" v-on:click="setCanary" :disabled="canary">新機能（カナリア環境）を使う</v-btn>
                <v-btn class="ma-2" v-on:click="removeCanary" :disabled="!canary">通常（プロダクション環境）に戻る</v-btn>
              </v-layout>

              <v-layout row wrap class="pa-2 justify-center">
                <v-btn v-on:click="checkStatus">カナリア選択状態をチェック</v-btn>
              </v-layout>

            </v-layout>
            <v-snackbar v-model="snackbar" :timeout="timeout" :multi-line="multiLine">
              canary = {{ canary }}
              <v-btn color="blue" text @click="snackbar = false">
                Close
              </v-btn>
            </v-snackbar>

          </v-container>
        </v-content>
      </v-app>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.x/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.js"></script>
    <script>
      new Vue({
        el: '#app',
        vuetify: new Vuetify(),
        data: {
          message: 'Hello, DevOps World!!',
          version: 'v2.0.0' + '2019/11/12 15:55',
          podName: '%POD_NAME%',
          env: '%ENV%',
          image: '%IMAGE%',
          snackbar: false,
          multiLine: true,
          timeout: 2000,
          canary: false
        },
        methods: {
          setCanary: function () {
            document.cookie = 'canary=true'
            window.location.reload()
          },

          removeCanary: function () {
            document.cookie = 'canary=true;expires=Sat, 1 Jan 2000 00:00:00 GMT'
            window.location.reload()
          },

          checkStatus: function () {
            this.snackbar = true
          },

          checkCookie: function () {
            let cookie = document.cookie
            if (cookie.indexOf('canary') !== -1) {
              this.canary = true
            } else {
              this.canary = false
            }
          },
        },
        mounted() {
          this.checkCookie()
        },
      })
    </script>
  </body>

</html>
